package com.ruoyi.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.system.domain.LoginSysTenant;
import com.ruoyi.system.domain.SysTenant;
import com.ruoyi.system.domain.vo.SysTenantVo;

import java.util.List;

/**
 * 租户管理Service接口
 *
 * @author fengcheng
 * @date 2025-01-06
 */
public interface ISysTenantService extends IService<SysTenant> {
    /**
     * 查询租户管理
     *
     * @param tenantId 租户管理主键
     * @return 租户管理
     */
    public SysTenant selectSysTenantByTenantId(String tenantId);

    /**
     * 查询租户管理列表
     *
     * @param sysTenant 租户管理
     * @return 租户管理集合
     */
    public List<SysTenant> selectSysTenantList(SysTenant sysTenant);

    /**
     * 新增租户管理
     *
     * @param sysTenantVo 租户管理
     * @return 结果
     */
    public int insertSysTenant(SysTenantVo sysTenantVo);

    /**
     * 修改租户管理
     *
     * @param sysTenantVo 租户管理
     * @return 结果
     */
    public int updateSysTenant(SysTenantVo sysTenantVo);

    /**
     * 批量删除租户管理
     *
     * @param tenantIds 需要删除的租户管理主键集合
     * @return 结果
     */
    public int deleteSysTenantByTenantIds(String[] tenantIds);

    /**
     * 删除租户管理信息
     *
     * @param tenantId 租户管理主键
     * @return 结果
     */
    public int deleteSysTenantByTenantId(String tenantId);

    /**
     * 查询登录租户管理列表（不分页）
     *
     * @return 结果
     */
    List<LoginSysTenant> loginSysTenantList();

    /**
     * 重置租户密码
     *
     * @param tenantId 租户ID
     * @param password 密码
     * @return 结果
     */
    int resetTenantPwd(String tenantId, String password);

    /**
     * 根据套餐ID查询租户信息列表
     *
     * @param tenantPackageId 套餐ID
     * @return 租户信息列表
     */
    List<SysTenantVo> selectSysTenantListByTenantPackageId(Long tenantPackageId);

    /**
     * 根据套餐ID查询租户信息数量
     *
     * @param tenantPackageId 套餐ID
     * @return 租户信息数量
     */
    int selectSysTenantByTenantPackageId(Long tenantPackageId);
}
